<?php

/**
 * Free Showcase Integration Class
 */

namespace Simple_Giveaways;

if ( ! defined( 'ABSPATH' ) ) {
	return;
}

if ( ! class_exists( '\Simple_Giveaways\SG_Notifications_Dummy' ) ) {
	class SG_Notifications_Dummy extends GA_Integration {

		/**
		 * Active Indicator
		 *
		 * @var boolean
		 */
		public $active = false;

		/**
		 * Integration Image
		 *
		 * @var string
		 */
		public $image = '';

		/**
		 * Integration Title
		 *
		 * @var string
		 */
		public $title = '';

		/**
		 * Integration Description
		 *
		 * @var string
		 */
		public $desc = '';

		/**
		 * Setting initial params
		 */
		public function __construct() {

			$this->title       = __( 'Notifications', 'giveasap' );
			$this->settings_id = 'sg_notifications';
			$this->image       = untrailingslashit( GASAP_URI ) . '/includes/integrations/assets/bell.svg';
			$this->desc        = __( 'Let people know how many subscribed through live notifications.', 'giveasap' );
		}

		public function buttons( $integrations ) {
			echo '<a href="' . esc_url( giv_fs()->get_upgrade_url() ) . '" class="button button-primary">' . esc_html__( 'Upgrade to PRO', 'giveasap' ) . '</a>';
		}

	}
}

add_filter( 'giveasap_integrations', '\Simple_Giveaways\sg_register_notifications' );

/**
 * Registering mailchimp
 *
 * @return array
 */
function sg_register_notifications( $integrations ) {

	$integrations['sg_notifications'] = '\Simple_Giveaways\SG_Notifications_Dummy';

	return $integrations;
}
